<?php
session_start();

// Unset all session variables
$_SESSION = array();

// If it's desired to destroy the session entirely, delete the session cookie as well
if (ini_get("session.use_cookies")) {
    $params = session_get_cookie_params();
    setcookie(session_name(), '', time() - 42000,
        $params["path"], $params["domain"],
        $params["secure"], $params["httponly"]
    );
}

// Destroy the session
session_destroy();

// Redirect to the index page
header("Location: index.php");
exit();  // Make sure to call exit to stop the script after the redirect
?>
